
html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

body {
  font-family: 'Roboto', Arial, sans-serif;
  font-size: 18px;
  font-weight: 300;
  line-height: 1.6;
}

a {
  text-decoration: none;
  color: $text-color;

  &:visited {
    color: $text-color;
  }
}

h1, h2 {
  font-family: 'Montserrat', Arial, sans-serif;
  font-weight: bold;
}

h1 {
  font-size: 38px;
  margin-bottom: 40px;
}

h2 {
  font-size: 22px;
  margin-bottom: 10px;
}

img {
  max-width: 100%;
}

.text-center {
  text-align: center;
}

.container {
  max-width: 1200px;
  margin: auto;
}

.button {
  border: 1px solid $text-color;
  padding: 12px 40px;

  &:hover {
    color: $white;
    background: $text-color;
  }
}

.button-white {
  border: 1px solid $white;
  color: $white !important;

  &:hover {
    color: $text-color !important;
    background: $white;
  }
}

.section-description {
  width: 80%;
  margin: auto;
}

.button-container {
  margin: 80px 0;
}

header {
  //  background: url('/img/aa_header/aa_bg.jpg');


  background-image: linear-gradient(
                  to right bottom,
                  rgba(red, .8),
                  rgba($color-primary-dark, 0.1)),
  url('/img/aa_header/aa_bg.jpg');

  background-size: cover;
  color: white;
/*
  .top-nav
  {
    display: flex;
    justify-content: space-between;
    padding: 40px 0;

    .logo {
      font-weight: bold;
      font-size: 28px;
      margin-top: 20px;
    }

    ul {
      display: flex;
      text-transform: uppercase;
      justify-content: space-between;
      width: 50%;

      a {
        color: $white;
        &:hover {
          color: darken($white, 10%);
        }
      }
    }
  }
*/
  .header__logo{




    width: 40px;
    height: 40px;

    border-radius: 50%;
  }
}

.hero {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: $gutter;
  padding-top: 20px;
  padding-bottom: 84px;

  .hero-image {
    padding-left: 60px;
  }

  h1 {
    font-size: 52px;
    margin-top: 50px;
  }

  p {
    margin: 40px 0 68px;
  }

  .button {
    margin-right: 14px;
  }
}

.featured-section {
  padding: 50px 0;

  .products {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: $gutter;
  }
}

.testimony-section {
  background: $light-gray-background;
  border-top: 1px solid $separator-color;
  padding: 50px 0;

  .testimony-posts {
    display: grid;
    grid-template-columns: repeat(3, 1fr); // 1fr 1fr 1fr
    grid-gap: $gutter;
    margin: 60px 0 60px;
    grid-template-areas:
            "testimony2 testimony1 testimony3";

    #testimony1 {
      grid-area: testimony1;
    }

    #testimony2 {
      grid-area: testimony2;
    }

    #testimony2 {
      grid-area: testimony3;
    }
  }
}

footer {
  background: $gray-background;
  color: $white;
  padding: 40px 0;

  .footer-content {
    display: flex;
    justify-content: space-between;

    ul {
      display: flex;
      justify-content: space-between;
      width: 30%;

      a {
        color: $white;
      }
    }
  }
}
